Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.pc
Class PcHandle

    java.lang.Object
      com.stc.connector.sagadapter.jni.pc.PcHandle

    public class PcHandle

extends java.lang.Object

Wrapper class for the SAG C++ Handle class. It is derived from sagcontrol.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:41 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`void` | `call(PcPrimitive primitiveRequest, PcPrimitive primitiveResponse)`
`void` | `free()` Method free.
`long` | `getAnyResponse(long msTimeOut, PcPrimitive pcPrimitive)`
`long` | `getAnyResponse(PcPrimitive pcPrimitive)`
`void` | `getResponse(long msTimeOut, long token, PcPrimitive pcPrimitive)`
`void` | `getResponse(long token, PcPrimitive pcPrimitive)`
`long` | `putRequest(PcPrimitive pcPrimitive)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### free

    public void free()

  Method free.

### putRequest

    public long putRequest(PcPrimitive pcPrimitive)
                    throws PcExcStatus

  Parameters:
    `pcPrimitive` -
  Returns:
  Throws:
    `PcExcStatus`

### getAnyResponse

    public long getAnyResponse(PcPrimitive pcPrimitive)
                        throws PcExcStatus

  Parameters:
    `pcPrimitive` -
  Returns:
  Throws:
    `PcExcStatus`

### getResponse

    public void getResponse(long token,
                            PcPrimitive pcPrimitive)
                     throws PcExcStatus

  Parameters:
    `token` -
    `pcPrimitive` -
  Throws:
    `PcExcStatus`

### getAnyResponse

    public long getAnyResponse(long msTimeOut,
                               PcPrimitive pcPrimitive)
                        throws PcExcStatus

  Parameters:
    `msTimeOut` -
    `pcPrimitive` -
  Returns:
  Throws:
    `PcExcStatus`

### getResponse

    public void getResponse(long msTimeOut,
                            long token,
                            PcPrimitive pcPrimitive)
                     throws PcExcStatus

  Parameters:
    `msTimeOut` -
    `token` -
    `pcPrimitive` -
  Throws:
    `PcExcStatus`

### call

    public void call(PcPrimitive primitiveRequest,
                     PcPrimitive primitiveResponse)
              throws PcExcStatus

  Parameters:
    `primitiveRequest` -
    `primitiveResponse` -
  Throws:
    `PcExcStatus`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.